#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
using Syncfusion.LightSwitch.Extension.XlsIO;
namespace LightSwitchApplication
{
    public partial class Simple
    {
        partial void ExportToExcel_Execute()
        {
            //Export all Book data to a new workbook
            Export();

        }
        /// <summary>
        /// Exports based on the document type.
        /// </summary>
        void Export()
        {
            Helper.ShowSaveDialog(SaveDialog_Closed);
        }
        /// <summary>
        /// Event raised once the Save Dialog box is closed.
        /// </summary>
        /// <param name="sender">Holdes the stream information to serialize the document.</param>
        /// <param name="e">Represents the arguments.</param>
        void SaveDialog_Closed(object sender, EventArgs e)
        {
            SaveFileWindow saveFileWindow = sender as SaveFileWindow;

            if (saveFileWindow != null && saveFileWindow.DocumentStream != null)
            {
                Export(saveFileWindow.DocumentStream);
            }
            else
            {
                Stream stream = sender as Stream;
                if (stream != null)
                {
                    Export(stream);
                }
            }

        }
        /// <summary>
        /// Exports the collection into the stream.
        /// </summary>
        /// <param name="stream"></param>
        public void Export(Stream stream)
        {
            using (stream)
            {
                ExportToExcel(stream);
            }

            Helper.ShowSuccessDialog();
        }
        /// <summary>
        /// Exports the collection to Word document and 
        /// serialized into the stream. 
        /// </summary>
        /// <param name="stream">stream in where the exported document is serialized.</param>
        public void ExportToExcel(Stream stream)
        {
            ExcelBuilder.Export(this.Books, stream);
        }
    }
}
