#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace LightSwitchApplication
{
    public partial class SaveFileWindow : ChildWindow
    {

        string filter;
        internal string Filter
        {
            set
            {
                filter = value;
            }
        }
        public SaveFileWindow()
        {

            InitializeComponent();
            filter = Helper.ExcelWorksheets;
        }


        private Stream documentStream;


        public Stream DocumentStream
        {

            get { return documentStream; }

            set { documentStream = value; }

        }


        /// <summary>

        /// OK Button

        /// </summary>

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {

            this.DialogResult = true;

        }


        /// <summary>

        /// Cancel button

        /// </summary>

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {

            this.DialogResult = false;

        }


        /// <summary>

        /// Browse button

        /// </summary>

        private void BrowseButton_Click(object sender, RoutedEventArgs e)
        {

            SaveFileDialog openFileDialog = new SaveFileDialog();

            // Limit the dialog to only show ".csv" files,

            // modify this as necessary to allow other file types

            openFileDialog.Filter = filter;

            openFileDialog.FilterIndex = 1;


            if (openFileDialog.ShowDialog() == true)
            {

                FileTextBox.Text = openFileDialog.SafeFileName;
                this.FileTextBox.IsReadOnly = true;

                System.IO.Stream myStream = openFileDialog.OpenFile();

                documentStream = myStream;

            }

        }
    }
}
